#!/bin/bash

# locate patch files in this directory
PATCH_FILES=$(find . -name '*.patch')

if [ -z "${PATCH_FILES}" ] ; then

	echo ""
	echo "There are no patched files to find..."
	echo ""
	exit 1

else
	
	# obtain the basename of this directory so we can exclude it in future searches
	CUR_DIR_BASE=$(basename $(pwd))

	for NEXT_PATCH in ${PATCH_FILES} ; do
	
		# obtain the basename of the file so we can use it in the next search
		FILE_NAME=$(basename ${NEXT_PATCH})
		
		# first we need to strip the .patch suffix off the file name
		FILE_NAME=$(echo ${FILE_NAME} | sed -e "s/\(.*\).patch/\1/")
		
		# locate the file that this will patch
		find .. -wholename *${CUR_DIR_BASE}* -prune -o -name ${FILE_NAME} -print
		
	done

fi

exit 0
